PYDF(1)

NAME
pydf - report colourised filesystem disk space usage

SYNOPSIS
pydf [options] [file]

DESCRIPTION
pydf is a python script that displays the amount of disk space available on the mounted filesystems, using different colours for different types of filesystems. Output format is completely customizable.

If an optional
    file argument is given, pydf displays just information about filesystem containing the file(s), otherwise it displays information about all mounted filesystems.

OPTIONS

--help
    Show summary of options.

-v, --version
    Show version of program.

-a, --all
    include filesystems having 0 blocks

-h, --human-readable
    print sizes in human readable format (e.g., 133K 2341M 2448G)

-H, --si
    likewise, but use powers of 1000 not 1024

--block-size=SIZE
    use SIZE-byte blocks

-k, --kilobytes
    like --block-size=1024

-i, --inodes
    show information about inodes instead of blocks

-l, --local
    limit listing to local filesystems

-m, --megabytes
    like --block-size=1048576

-g, --gigabytes
    like --block-size=1073741824

--blocks
    use filesystem native block size

--bw
    do not use colours

--mounts=FILE
    file to get mount information from. On normal linux system, only /etc/mtab or /proc/mounts make sense. Use /proc/mounts when /etc/mtab is corrupted or inaccessible (the output looks a bit weird in this case though)

-B, --show-binds
    Show also mount --bind mounted filesystems.

BUGS
When running with python3, mountpoints with out-of-locale non ASCII names will not be displayed (due to inability of os.statvfs to use bytes instead of strings).

FILES

/etc/pydfrc
    main configuration file

~/.pydfrc
    per-user configuration file

SEE ALSO
df(1)

AUTHOR
Radovan Garabík <garabik@kassiopeia.juls.savba.sk>